Bug 806350 - (CVE-2012-1579) CVE-2012-1579 mediawiki (v1.18.2): Possibility to load user.tokens module remotely
CVE-2012-1579 mediawiki (v1.18.2): Possibility to load user.tokens module rem...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120322,repor...
: Security
Depends On:
Blocks: 806396
  Show dependency treegraph
 
Reported: 2012-03-23 10:02 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-26 05:29:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-23 10:02:44 EDT
A private data exposure flaw wa found in the way the resource loader of MediaWiki, a wiki engine, handled access privileges to the user.tokens module. If a remote attacker could trick a valid MediaWiki user into visiting a specially-crafted web page, it could allow the attacker to compromise the MediaWiki account of the victim by stealing the contents of tokens used for CSRF protection.

References:
[1] http://lists.wikimedia.org/pipermail/wikitech-l/2012-March/059230.html

Upstream bug report:
[2] https://bugzilla.wikimedia.org/show_bug.cgi?id=34907

Patch against v1.17 version:
[3] https://bugzilla.wikimedia.org/show_bug.cgi?id=34907#c7

Patch against v1.18 version:
[4] https://bugzilla.wikimedia.org/show_bug.cgi?id=34907#c8
Comment 1 Jan Lieskovsky 2012-03-23 10:08:07 EDT
This issue did NOT affect the versions of the mediawiki package, as shipped with Fedora release of 15 and 16.

--

This issue did NOT affect the version of the mediawiki package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2012-03-26 05:13:09 EDT
The CVE identifier of CVE-2012-1579 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/03/24/1

Note You need to log in before you can comment on or make changes to this bug.